org.apache.xalan.xsltc.cmdline

## Class Compile

- java.lang.Object
- - org.apache.xalan.xsltc.cmdline.Compile

    public final class Compile
    extends java.lang.Object

Author:
  Jacek Ambroziak, Santiago Pericas-Geertsen, G. Todd Miller, Morten Jorgensen

### Constructor Summary

Constructors
Constructor and Description
`Compile()`

### Method Summary

Methods
`static void` `main(java.lang.String[] args)` This method implements the command line compiler.
`static void` `printUsage()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Compile

    public Compile()

### Method Detail

#### printUsage

    public static void printUsage()

#### main

    public static void main(java.lang.String[] args)

This method implements the command line compiler. See the USAGE_STRING constant for a description. It may make sense to move the command-line handling to a separate package (ie. make one xsltc.cmdline.Compiler class that contains this main() method and one xsltc.cmdline.Transform class that contains the DefaultRun stuff).